@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΜΕΤΑΤΡΕΠΕΙ ΟΛΑ ΤΑ ΒΙΝΤΕΟ ΣΕ 5ΜΒ VBR BITRATE
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (
    
	echo.
	echo Μετατρέπω το "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" -b:v 5m "%%~pi%%~ni-5MBvbr.%%~xi"
	rem call ffprobe -v error -show_entries format=bit_rate -of default=noprint_wrappers=1:nokey=1 "%%i" > bitrates.txt
	rem SetLocal EnableExtensions EnableDelayedExpansion
	rem for /f "tokens=*" %%b in (bitrates.txt) do (
	rem     rem echo i timi %%b
	rem     set /a finalbitrate=%%b/2
	rem     rem echo !finalbitrate!
	rem     call ffmpeg -v quiet -stats -i "%%i" -b:v !finalbitrate! "%%~pi%%~ni-0.5bitrate.%%~xi"
	rem )  
	rem endlocal	
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal


:End 
call vid0ends.bat
exit /b 0